define([
	'jquery',
	'Magento_Catalog/js/price-utils'
], function($, priceUtils) {
	'use strict';
	
	$.widget('filoblu.omnibusPrice', {
		_create: function() {
			if (this.options.canCalculate) {
				$.ajax({
					url: window.omnibusData.apiUrl,
					data: {
						brand: window.omnibusData.brand,
						sku: this.options.sku,
						market: window.omnibusData.market
					},
					complete: function() {
						if ($('.omnibus-price').hasClass('no-display')) {
							$('.omnibus-price').removeClass('no-display');	
						}
					},
					error: function () {
						console.log('An error occurred when calculating the omnibus price');
					},
					success: function (response) {
						if (response.price) {
							$('.price', '.omnibus-price').text(priceUtils.formatPrice(response.price));
						}
					}
				});	
			}
		}
	});
});